## NAME

v.import.py - Imports vector data into a GRASS vector map using OGR library and reprojects on the fly.

## KEYWORDS

vector, import, projection

## SYNOPSIS

v.import.py
v.import.py --help
v.import.py [-flo] input=string [layer=string[,string,...]] [output=name] [extent=string] [encoding=string] [snap=float] [epsg=integer] [datum_trans=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  List supported OGR formats and exit
-l
  List available OGR layers in data source and exit
-o
  Override projection check (use current location's projection)
  Assume that the dataset has the same projection as the current location
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=string [required]
  Name of OGR datasource to be imported
layer=string[,string,...]
  OGR layer name. If not given, all available layers are imported
output=name
  Name for output vector map (default: input)
extent=string
  Output vector map extent
  Options: input, region
  Default: input
  input: extent of input map
  region: extent of current region
encoding=string
  Encoding value for attribute data
snap=float
  Snapping threshold for boundaries (map units)
  '-1' for no snap
  Default: 1e-13
epsg=integer
  EPSG projection code
  Options: 1-1000000
datum_trans=integer
  Index number of datum transform parameters
  -1 to list available datum transform parameters
  Options: -1-100

## DESCRIPTION

v.import imports vector data from files and database connections supported by the OGR library) into the current location and mapset. If the projection of the input does not match the projection of the location, the input is reprojected into the current location. In case that the projection of the input map does match the projection of the location, the input is imported directly.

### Supported Vector Formats

v.import uses the OGR library which supports various vector data formats including ESRI Shapefile, Mapinfo File, UK .NTF, SDTS, TIGER, IHO S-57 (ENC), DGN, GML, GPX, AVCBin, REC, Memory, OGDI, and PostgreSQL, depending on the local OGR installation. For details see the OGR web site. The OGR (Simple Features Library) is part of the GDAL library, hence GDAL needs to be installed to use v.in.ogr.

The list of actually supported formats can be printed by -f flag.

## NOTES

### Topology cleaning

When importing polygons, non-topological polygons are converted to topological areas. By default, a very small snapping threshold is applied (1e-13 map units) to avoid topological errors caused by numerical inaccuracy of the input data format. If the original polygons contain errors (unexpected overlapping areas or small gaps between polygons), the import might need to be repeated using a larger snap value.

The snap threshold defines the maximal distance from one to another vertex in map units (for latitude-longitude locations in degree). If there is no other vertex within snap distance, no snapping will be done. Note that a too large value can severely damage area topology, beyond repair.

Post-processing: Snapped boundaries may need to be cleaned with v.clean, using its tools break,rmdupl,rmsa. For details, refer to the v.clean manual page.

## EXAMPLE

    # import SHAPE file at full extent and reproject to current location projection
    v.import input=research_area.shp output=research_area extent=input

## SEE ALSO

v.clean, v.in.ogr, v.proj

## AUTHORS

Markus Metz
Improvements: Martin Landa, Anna Petrasova

Last changed: $Date: 2016-08-06 18:34:49 +0200 (Sat, 06 Aug 2016) $

## SOURCE CODE

Available at: v.import source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.2.0 Reference Manual